/*
                            Configuration List
 */

#ifndef CFGLIST_H
#define CFGLIST_H


/*
 *	Configuration item parameter names:
 */
#define CFG_PARM_VERSION_MAJOR			"VersionMajor"
#define CFG_PARM_VERSION_MINOR			"VersionMinor"
#define CFG_PARM_VERSION_RELEASE		"VersionRelease"

#define CFG_PARM_DATA_DIR			"DataDir"
#define CFG_PARM_DATA_DIR_GLOBAL		"DataDirGlobal"

#define CFG_PARM_WIN_X				"WinX"
#define CFG_PARM_WIN_Y				"WinY"
#define CFG_PARM_WIN_WIDTH			"WinWidth"
#define CFG_PARM_WIN_HEIGHT			"WinHeight"
#define CFG_PARM_WIN_PANE_POS			"WinPanePos"
#define CFG_PARM_WIN_LIST_COLUMN_WIDTHS		"WinListColumnWidths"
#define CFG_PARM_WIN_ALWAYS_APPLY_ON_CLOSE	"WinAlwaysApplyOnClose"
#define CFG_PARM_WIN_LAST_FILE			"WinLastFile"
#define CFG_PARM_WIN_LAST_OBJ_PATH		"WinLastObjPath"


/*
 *	Configuration List:
 */
#define CFG_LIST	{					\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_MAJOR, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_MINOR, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_RELEASE, NULL },	\
								\
{ CFG_ITEM_TYPE_STRING, CFG_PARM_DATA_DIR, NULL },		\
{ CFG_ITEM_TYPE_STRING, CFG_PARM_DATA_DIR_GLOBAL, NULL },	\
								\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_X, NULL },			\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_Y, NULL },			\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_WIDTH, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_HEIGHT, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_PANE_POS, NULL },		\
{ CFG_ITEM_TYPE_INTLIST, CFG_PARM_WIN_LIST_COLUMN_WIDTHS, NULL }, \
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_WIN_ALWAYS_APPLY_ON_CLOSE, NULL }, \
{ CFG_ITEM_TYPE_STRING, CFG_PARM_WIN_LAST_FILE, NULL },		\
{ CFG_ITEM_TYPE_STRING, CFG_PARM_WIN_LAST_OBJ_PATH, NULL },	\
								\
/* Last item must be all 0's. */				\
{ CFG_ITEM_TYPE_NONE, NULL, NULL }				\
}


#endif	/* CFGLIST_H */
